{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap-datepicker.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>
{% endblock %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Berlangganan Les Privat
        {% endblock %}

        {% block menuBar %}
            <div class="d-flex mt-3 justify-content-between align-items-center w-100">
                <div class="d-flex align-items-center justify-content-center pb-3"
                     style="border-bottom: 2px solid var(--primaryColor)">
                    <input class="checkbox-jam" type="radio" disabled name="tools" id="semua" value="semua">
                    <label class="for-checkbox-jam mb-0"
                           style="padding: .4em .6em; background-color: forestgreen; border: none" for="semua">
                        <i class="mdi mdi-check" style="color: white !important;"></i>
                    </label>
                    <input class="checkbox-jam" type="radio" name="tools" id="smp" value="semua" checked>
                    <label class="for-checkbox-jam mb-0" style="padding: .4em .8em" for="smp">
                        2
                    </label>
                    <p class="font-weight-bold ml-1 mb-0">Lengkapi Data</p>

                </div>
                <div>
                    <input class="checkbox-jam" type="radio" disabled name="tools" id="smp" value="semua">
                    <label class="for-checkbox-jam mb-0 noborder" style="padding: .4em .8em" for="smp">
                        3
                    </label>
                    <input class="checkbox-jam" type="radio" disabled name="tools" id="smp" value="semua">
                    <label class="for-checkbox-jam mb-0 noborder" style="padding: .4em .8em" for="smp">
                        4
                    </label>
                </div>
            </div>
        {% endblock %}

    {% endembed %}


    {#    Detail Pesanan#}
    <section class="container-fluid mt-3">
        <p class="f12 font-weight-bold mt-3 mb-4">Info Siswa</p>

        <div class="form-group mt-3">
            <label for="fullName">Nama Siswa</label>
            <input form="form-profile" class="form-control" id="fullName" name="fullName" type="text" placeholder="Chelsea Islan"
                   value="{{ profile.getFullName() }}"/>
            <small id="fullName" class="form-text text-muted">Contoh: Chelsea Islan </small>
        </div>

        <div class="form-group mt-3">
            <label for="phone">Nomor Handphone</label>
            <input form="form-profile" class="form-control" id="phone" name="phone" type="number" value="{{ profile.getPhone() }}"
                   placeholder="08123456789"/>
            <small id="phone" class="form-text text-muted">Contoh: 08123456789</small>
        </div>

{#        <div class="form-group mt-3">#}
{#            <label for="school">Nama Sekolah</label>#}
{#            <input form="form-profile" class="form-control" id="school" name="school" type="text" value="{{ profile.getSchool() }}"#}
{#                   placeholder="SMA Negeri 1 Surakarta"/>#}
{#            <small id="schoolHelp" class="form-text text-muted">Contoh : SMA Negeri 1 Surakarta</small>#}
{#        </div>#}

        <div class="form-group mt-3 ">
            <label for="kelas">Kelas</label>

            <div class="d-flex">

                <input form="form-profile" class="form-control flex-grow-1" id="class" name="class" type="text"
                       value="{{ profile.getClass() }}" readonly
                       placeholder="Kelas"/>
                <a style="border-radius: 5px; border: 1px solid var(--primaryColor); flex: 0 0 4em" data-toggle="modal"
                   data-target="#modalPencarianKelas"
                   class="ml-2 d-flex justify-content-center align-items-center"><i class="fa fa-search"></i></a>

            </div>
            <small id="kelasHelp" class="form-text text-muted">Pilih Salah Satu</small>
        </div>

{#        <div class="form-check">#}
{#            <input form="form-profile" type="checkbox" class="form-check-input" id="gunakanHpOrtu"#}
{#                   style="position: relative;  width: 1rem;  height: 1rem; left: 0; visibility: visible;">#}
{#            <label class="form-check-label" for="gunakanHpOrtu">Gunakan Nomor Handphone Akun</label>#}
{#        </div>#}

{#        <div class="form-group mt-3">#}
{#            <label for="parentName">Nama Orang Tua</label>#}
{#            <input form="form-profile" class="form-control" id="parentName" name="parentName" type="text" placeholder="Chelsea Islan"#}
{#                   value="{{ profile.getParentName() }}"/>#}
{#            <small id="parentName" class="form-text text-muted">Contoh: Chelsea Islan </small>#}
{#        </div>#}

{#        <div class="form-group mt-3">#}
{#            <label for="parentPhone">Nomor Handphone Orang Tua</label>#}
{#            <input form="form-profile" class="form-control" id="parentPhone" name="parentPhone" type="number"#}
{#                   value="{{ profile.getParentPhone() }}"#}
{#                   placeholder="08123456789"/>#}
{#            <small id="parentPhone" class="form-text text-muted">Contoh: 08123456789</small>#}
{#        </div>#}


        <div class="form-group mt-3">
            <label for="kelas">Kecamatan</label>
            <div class="d-flex">
                {% set district = null %}
                {% set dId = null %}
                {% if(profile.getDistrict() != null) %}
                    {% set dId = profile.getDistrict().getId() %}
                    {% set district = profile.getDistrict().getDistrictName() ~ ' (' ~ profile.getDistrict().getCity().getCityName() ~ ',' ~ profile.getDistrict().getCity().getProvince().getProvinceName() ~')' %}
                {% endif %}
                <input form="form-profile" type="hidden" value="{{ dId }}" name="districtId" id="districtId">
                <input class="form-control flex-grow-1" id="district" name="district" type="text" value="{{ district }}" readonly
                       placeholder="Kecamatan" data-district="{{ dId }}"/>
                <a style="border-radius: 5px; border: 1px solid var(--primaryColor); flex: 0 0 4em" data-toggle="modal"
                   data-target="#modalPencarianLokasi"
                   class="ml-2 d-flex justify-content-center align-items-center"><i class="fa fa-search"></i></a>
            </div>
            <small id="districtHelp" class="form-text text-muted">Pilih Salah Satu</small>
        </div>

        <div class="form-group mt-3">
            <label for="address">Alamat Lengkap</label>
            <textarea form="form-profile" class="form-control" id="address" rows="3" name="address">{{ profile.getAddress() }}</textarea>
            <small id="addressHelp" class="form-text text-muted">alamat lengkap.</small>
        </div>

{#        <div class="d-flex">#}
{#            <img src="{{ asset('images/common/lokasi.png') }}"#}
{#                 style="flex: 0 0 6em; border-radius: 50%; height: 6em; width: 6em" class="mr-2">#}
{#            <div class="form-group ">#}
{#                <div class="d-flex justify-content-between mb-2">#}
{#                    <label for="pilihLokasi">Pilih Lokasi</label>#}
{#                    <a style="border-radius: 5px; border: 1px solid var(--primaryColor); flex: 0 0 4em"#}
{#                       class="ml-2 d-flex justify-content-center align-items-center"><i#}
{#                                class="fa fa-map-marker"></i></a>#}
{#                </div>#}
{#                <input class="form-control" id="pilihLokasi" readonly name="pilihLokasi" type="text"#}
{#                       placeholder="Pilih Lokasi"/>#}
{#                <small id="namaSekolahHelp" class="form-text text-muted">Pastikan lokasi yang kamu tandai sama dengan#}
{#                    lokasi alamat diatas</small>#}
{#            </div>#}
{#        </div>#}

    </section>


    {#    MODAL PENCARIAN KELAS #}
    <div class="modal fade" id="modalPencarianKelas" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body p-3">
                    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
                        <form>
                            <p class="f8 font-weight-bold mt-3 mb-1">SD</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 1..6 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}"
                                               value="SD {{ i }}"
                                                {{ profile.getClass() ==  'SD '~i  ? 'checked' : '' }} >
                                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                                            Kelas {{ i }}
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">SMP</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 7..9 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}"
                                               value="SMP {{ i }}"
                                                {{ profile.getClass() ==  'SMP '~i ? 'checked' : '' }} >
                                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                                            Kelas {{ i }}
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">SMA</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ipa"
                                               value="{{ i }} IPA" {{ profile.getClass() ==  i ~' IPA' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}ipa" style="font-size: 0.8em">
                                            Kelas {{ i }} IPA
                                        </label>
                                    </div>
                                {% endfor %}
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ips"
                                               value="{{ i }} IPS" {{ profile.getClass() ==   i ~' IPS' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}ips" style="font-size: 0.8em">
                                            Kelas {{ i }} IPS
                                        </label>
                                    </div>
                                {% endfor %}
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}bhs"
                                               value="{{ i }} Bahasa" {{ profile.getClass() ==   i ~' Bahasa' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}bhs" style="font-size: 0.8em">
                                            Kelas {{ i }} BHS
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">Lainya</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                <div style="width: 33%">
                                    <input class="checkbox-jam kelas" type="radio" name="kelas" id="paud" value="PAUD"
                                            {{ profile.getClass() ==  'PAUD' ? 'checked' : '' }} >
                                    <label class="for-checkbox-jam" for="paud" style="font-size: 0.8em">
                                        PAUD
                                    </label>
                                </div>
                                <div style="width: 33%">
                                    <input class="checkbox-jam kelas" type="radio" name="kelas" value="UMUM"
                                           id="umum" {{ profile.getClass() ==  'UMUM' ? 'checked' : '' }} >
                                    <label class="for-checkbox-jam" for="umum" style="font-size: 0.8em">
                                        UMUM
                                    </label>
                                </div>

                            </div>
                        </form>
                    </section>

                    <section class="fixed-bottom d-block bg-white p-2" style="width: 100%">
                        <a id="btn-class-choice" class="bt-primary  d-block ml-auto mr-auto" data-dismiss="modal"
                           aria-label="Close"
                           style="width: 80%">Terapkan</a>

                    </section>
                </div>

            </div>
        </div>
    </div>

    <section class="fixed-bottom p-2 bg-white">
        <form method="post" action="/authentication-order-profile/update" id="form-profile">
        <div class="d-flex justify-content-between align-items-center">
            <a id="btn-save-profile" class="bt-accent p-3 m-1 f10 d-block w-100" data-toggle="modal" data-target="#exampleModalCenter">
                Simpan
            </a>
        </div>
        </form>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script src="{{ asset('vendor/bootstrap/js/bootstrap-datepicker.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        async function searchDistricts(value) {
            let el = $('#district-content');
            if (value !== '') {
                let param = {name: value};
                el.empty();
                el.append(createLoading());
                let response = await $.get('/api-public/cities/district', param);
                el.empty();
                if (response['code'] === 200) {
                    let payload = response['payload'];
                    if (payload.length > 0) {
                        $.each(response['payload'], function (k, v) {
                            const {district, id, city, province} = v;
                            let content = '<div class="hasil-pencarian">' +
                                '<a data-id="' + id + '" data-name="' + district + ' (' + city + ', ' + province + ')" class="title district-target">' + district + ' (' + city + ', ' + province + ')' +
                                '</a>' +
                                '</div>';
                            el.append(content);
                        });
                        $('.district-target').click(function () {
                            let el = $('#district');
                            el.val(this.dataset.name);
                            el.attr('data-district', this.dataset.id);
                            $('#districtId').val(this.dataset.id);
                            $('#modalPencarianLokasi').modal('hide');
                        });
                    } else {
                        let content = '<div class="hasil-pencarian">' +
                            'Wilayah Tidak Di Temukan' +
                            '</div>';
                        el.append(content);
                    }
                }
            } else {
                el.empty();
            }
        }
        $(document).ready(function () {
            $('#modalPencarianLokasi').on('show.bs.modal', async function (e) {
                $('#district-content').empty();
                $('#find-location-field').val('');
            });

            $('#btn-find-location').on('click', async function () {
                let val = $('#find-location-field').val();
                await searchDistricts(val);
            });

            $('#btn-save-profile').on('click', async function () {
                $('#form-profile').submit();
            });

            $('#btn-class-choice').on('click', function () {
                let kelas = $('input[name=kelas]:checked').val();
                $('#class').val(kelas)
            });

        });
    </script>
{% endblock %}